Glad it works! No need to feel silly. It's still not as straightforward as
it can be. I'm going to see about making this even easier down the road.

Christian

-- 
Christian Hammond - chip...@chipx86.com
VMware, Inc.


On Mon, Jan 12, 2009 at 2:01 PM, Julius Malkiewicz
<jpmalkiew...@gmail.com>wrote:

>
> Hi Christian,
>
> Don't I feel silly :).  I've now performed (as root):
>   # easy_install --upgrade ReviewBoard Djblets
>   # sudo rb-site upgrade somepath/reviewboard
>  .. and restarted memcached.
>
> This installed:
>   Djblets-0.4.dev_20090109-py2.5.egg
>   ReviewBoard-0.9.dev_20090109-py2.5.egg
>
> Initially, there was no change - until I restarted the webserver (I'm
> running mod_python) ... and now it all looks fine.
>
> Many thanks for your help ... Keep up the good work :).
>
> Julius.
>
> Christian Hammond wrote:
> > Hi Julius.
> >
> > easy_install by default won't upgrade a package. That's why it's still on
> > the 20081207 package, instead of last night's nightly. You'll need to use
> > the --upgrade flag. The Getting Started guide has some instructions for
> > what's needed for package and site upgrades, but in short, make sure you
> do:
> >
> > easy_install --upgrade ReviewBoard Djblets
> >
> > Then do the site upgrades as described in the guide, and restart
> memcached.
> > That should fix the problem.
> >
> > Christian
> >
> > --
> > Christian Hammond - chip...@chipx86.com
> > VMware, Inc.
> >
> >
> > On Sun, Jan 11, 2009 at 9:55 PM, Julius Malkiewicz
> > <jpmalkiew...@gmail.com>wrote:
> >
> > >
> > > And, another observation I can throw into the mix:  if the 'set
> > > submitted' is on, the diff cannot be loaded - regardless of
> > > 'permissions'.
> > >
> > > I'd be happy to upgrade to a newer version - but according to
> > > 'easy_install ReviewBoard':
> > >  Searching for ReviewBoard
> > >  Best match: ReviewBoard 0.9.dev-20081207
> > >  Processing ReviewBoard-0.9.dev_20081207-py2.5.egg
> > >  ReviewBoard 0.9.dev-20081207 is already the active version in easy-
> > > install.pth
> > >  Installing rb-site script to /usr/bin
> > >
> > >  Using /usr/lib/python2.5/site-packages/ReviewBoard-0.9.dev_20081207-
> > > py2.5.egg
> > >  Processing dependencies for ReviewBoard
> > >
> > > So - without going 'bleeding edge', I'm not sure what version to
> > > upgrade to.  How "bad" are the nightly builds (as per
> > > http://code.google.com/p/reviewboard/wiki/GettingStarted, Bleeding
> > > Edge Releases)?  Is that what I should do?  What are the risks with
> > > "downgrading"?  I'm assuming the database upgrade does not downgrade
> > > terribly well :(.
> > >
> > > Many thanks,
> > > Julius.
> > >
> > > On Jan 12, 4:46 pm, Julius Malkiewicz <jpmalkiew...@gmail.com> wrote:
> > > > Hi Christian,
> > > >
> > > > Thanks for the reply.  I've actually attempted to do this before -
> > > > with no luck.  What I have noticed that the diff fragments become
> > > > available to the review submitters, but not to the reviewers - so it
> > > > almost sounds like a permissions issue.  I've hunted around in the
> > > > admin interface, but cannot find anything that seems to relate.  Does
> > > > this shed any further light?
> > > >
> > > > Julius.
> > > >
> > > > On Jan 12, 4:36 pm, "Christian Hammond" <chip...@chipx86.com> wrote:
> > > >
> > > > > Hi Julius.
> > > >
> > > > > It sounds like you're using a version containing broken progressive
> > > diff
> > > > > loading code. This was a bug for a short time and we since fixed
> it.
> > > I'd
> > > > > recommend upgrading your install (which, now that you're using the
> new
> > > > > install procedure, should be pretty easy and quick). Make sure to
> > > restart
> > > > > your memcached server or you may have some diff rendering issues.
> > > >
> > > > > I don't know what broke ActiveDirectory support, but if you enable
> > > logging
> > > > > you might be able to see some additional info. I don't know enough
> > > about
> > > > > ActiveDirectory to really say what we need to do to fix it. Maybe
> > > someone
> > > > > can figure it out and send us a patch?
> > > >
> > > > > Christian
> > > >
> > > > > --
> > > > > Christian Hammond - chip...@chipx86.com
> > > > > VMware, Inc.
> > > >
> > > > > On Sun, Jan 11, 2009 at 9:27 PM, Julius Malkiewicz
> > > > > <jpmalkiew...@gmail.com>wrote:
> > > >
> > > > > > Hi!
> > > >
> > > > > > I've been using review board for over a year - and I've been very
> > > > > > impressed.  I recently upgraded using the new install procedure
> > > (using
> > > > > > ReviewBoard-0.9.dev_20081207), and a few things seem broken.
> > > >
> > > > > > The first (and most important) is that we get the "loading diff
> > > > > > fragment" on my reviews, but they never turn into diff fragments
> (no
> > > > > > matter how long we wait).  I'm assuming the issue is either
> > > > > > installation (as I've seen no one else complain of this issue) or
> how
> > > > > > I upgraded from the previous release (early 2008) to this one
> (late
> > > > > > 2008).
> > > >
> > > > > > The other significant change from the previous setup is that
> we're
> > > now
> > > > > > using a memcached server.  I'm not sure if this makes any
> difference.
> > > >
> > > > > > We're running a GNU/Linux distribution ( Ubuntu-Server 7.04
> _Feisty
> > > > > > Fawn_ - Release), and I'm very familiar with linux.
> > > >
> > > > > > I'm not familiar with django/json/etc (I'm a software engineer
> which
> > > > > > deals with "C" and embedded devices :)).  Any pointers in how I
> can
> > > > > > diagnose (and/or solve) the issue?  I'd also be happy with not
> > > > > > "caching" the diff loading, but wait for the diff to load (ie,
> > > > > > previous behavior).
> > > >
> > > > > > The other issues are "annoying" - we were previously able to
> > > > > > authenticate against our ActiveDirectory LDAP, but that is no
> longer
> > > > > > the case - I'd be curious to hear of success stories in that
> regard.
> > > >
> > > > > > Apologies in advance if any of these issues have been previously
> > > found
> > > > > > and solved, but extensive searching has not yeilded any answers.
> > > >
> > > > > > Many thanks,
> > > >
> > > > > > Julius.
> > > >
> > >
> >
>

--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups 
"reviewboard" group.
To post to this group, send email to reviewboard@googlegroups.com
To unsubscribe from this group, send email to 
reviewboard+unsubscr...@googlegroups.com
For more options, visit this group at 
http://groups.google.com/group/reviewboard?hl=en
-~----------~----~----~----~------~----~------~--~---

Reply via email to